libzypp 17.37.10

zyppng::detail::make_state_set< Head, Transitions > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | InitialVariant = std::variant<typename Head::SourceType>
using | VariantSoFar = typename add_type_to_collection< std::variant, typename Head::TargetType, InitialVariant , !VariantHasType<InitialVariant, typename Head::TargetType>() >::Type
using | Type = typename make_state_set_helper< VariantSoFar, Transitions...>::Type

## Detailed Description

template<typename Head, typename ... Transitions>
struct zyppng::detail::make_state_set< Head, Transitions >

Definition at line 155 of file statemachine.h.

## Member Typedef Documentation

## ◆ InitialVariant

template<typename Head, typename ... Transitions>

using zyppng::detail::make_state_set< Head, Transitions >::InitialVariant = std::variant<typename Head::SourceType>

Definition at line 156 of file statemachine.h.

## ◆ VariantSoFar

template<typename Head, typename ... Transitions>

using zyppng::detail::make_state_set< Head, Transitions >::VariantSoFar = typename add_type_to_collection< std::variant, typename Head::TargetType, InitialVariant , !VariantHasType<InitialVariant, typename Head::TargetType>() >::Type

Definition at line 157 of file statemachine.h.

## ◆ Type

template<typename Head, typename ... Transitions>

using zyppng::detail::make_state_set< Head, Transitions >::Type = typename make_state_set_helper< VariantSoFar, Transitions...>::Type

Definition at line 158 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h